Package ru.bitel.bgbilling.kernel.admin.common.service

# Interface AdminService

public interface AdminService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AppInfo`
  `appInfoGet(int appId)`
  `List<AppInfo.AppInfoItem>`
  `appInfoItemList()`
  `List<IdTitle>`
  `getContractEntries(String values, boolean byTitle)`
  `List<String>`
  `getContractEntriesFromSqlQuery(String query, FieldNameSQL fieldNameSQL)`
  `List<BGModule>`
  `getModules()`
  `void`
  `periodicErrorDelete(List<Integer> periodicErrorIds)`
  `SearchResult<PeriodicProcessErrorMessage>`
  `periodicProcessErrorMessageSearch(String contains, Date month, Period period, Page page)`

- ## Method Details

  - ### getContractEntries

    List<IdTitle> getContractEntries(String values, boolean byTitle) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModules

    List<BGModule> getModules() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractEntriesFromSqlQuery

    List<String> getContractEntriesFromSqlQuery(String query, FieldNameSQL fieldNameSQL) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### periodicErrorDelete

    void periodicErrorDelete(List<Integer> periodicErrorIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### periodicProcessErrorMessageSearch

    SearchResult<PeriodicProcessErrorMessage> periodicProcessErrorMessageSearch(String contains, Date month, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### appInfoItemList

    List<AppInfo.AppInfoItem> appInfoItemList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### appInfoGet

    AppInfo appInfoGet(int appId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`